#
# spec file for package msitools
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _so_suffix 0

Name:           msitools
Summary:        Programs to inspect and build Windows Installer (.msi) files
License:        LGPL-2.0+
Group:          Development/Tools/Building
Url:            https://wiki.gnome.org/msitools
Version:        0.93
Release:        2.3
Source:         msitools-0.93.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  binutils
BuildRequires:  gettext
BuildRequires:  gettext-tools
BuildRequires:  gobject-introspection >= 0.9.4
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  m4
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0) >= 2.14
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(libgcab-1.0) >= 0.1.10
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.7
BuildRequires:  pkgconfig(uuid) >= 1.41.3
BuildRequires:  vala
BuildRequires:  xz
Requires:       libmsi = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Msitools is a set of programs to inspect and build Windows Installer
(.MSI) files. It is based on libmsi, a portable library to read and
write .MSI files.

%package -n libmsi%{_so_suffix}
Summary:        Library to access Windows Installer (.msi) files
Provides:       libmsi = %{version}

%description -n libmsi%{_so_suffix}
This library provides access to Windows Installer (.msi) files.

%package -n libmsi-devel
Summary:        Development files for libmsi
Requires:       libmsi = %{version}

%description -n libmsi-devel
This library provides access to Windows Installer (.msi) files.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.{,l}a
%find_lang msitools msitools.lang

%post -n libmsi%{_so_suffix} -p /sbin/ldconfig

%postun -n libmsi%{_so_suffix} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/msibuild
%{_bindir}/msidiff
%{_bindir}/msidump
%{_bindir}/msiextract
%{_bindir}/msiinfo
%{_bindir}/wixl
%{_bindir}/wixl-heat
%{_datadir}/bash-completion/completions/msitools
%{_datadir}/wixl*/

%files lang -f msitools.lang

%files -n libmsi%{_so_suffix}
%defattr(-,root,root)
%{_libdir}/libmsi.so.*

%files -n libmsi-devel
%defattr(-,root,root)
%{_includedir}/libmsi*/
%{_libdir}/libmsi.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Aug 25 2014 johannesobermayr@gmx.de
- Initial package
